Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.bea.wlai.management.runtime
Interface AppViewRuntimeMBean

All Superinterfaces:
  javax.management.DynamicMBean, javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, weblogic.management.runtime.RuntimeMBean, weblogic.management.WebLogicMBean

public interface AppViewRuntimeMBean
extends weblogic.management.runtime.RuntimeMBean

MBean for retrieving per-managed-server information such as per-server ApplicationView state and statistics. If summary statistics are desired, use the AppViewSummaryMBean instead.

Method Summary
`String` | `getAppViewID()` Name of the ApplicationView this MBean represents (derived from appName and getDescriptor().getQualifiedName().toString().
`Long` | `getAsyncServiceAverageRequestWaitTime()` The average time (in milliseconds) async requests for all services spent waiting on the async request queue.
`Integer` | `getAsyncServiceCount(String serviceName)` Number of async service invocations for the given service (or all services if serviceName=null).
`Integer` | `getAsyncServiceErrorCount(String serviceName)` Number of async service invocation errors for the given service (or all services if serviceName=null).
`Object` | `getCauseOfCurrentState()` The throwable/exception or String description that caused the AppView to be in the current state (‘Deploy Failed’ and ‘Suspended’ only) or null if the AppView is in none of these states.
`Integer` | `getEventCount(String eventType)` Number of events delivered of the given type.
`Integer` | `getEventErrorCount(String eventType)` Number of event delivery errors encountered for the given type (or all types if eventType is null).
`Long` | `getLastEventDeliveryTime()` The system time (in milliseconds) at which the most recent event was delivered (or –1) if none have been delivered.
`Long` | `getLastEventResetTime()` The system time (in milliseconds) at which the event counters were last reset (or –1) if no reset has been performed.
`Long` | `getLastServiceInvocationTime()` The system time (in milliseconds) at which the most recent service invocation occurred (or –1 if no services have been invoked).
`Long` | `getLastServiceResetTime()` The system time (in milliseconds) at which the service counters were last reset (or –1) if no reset has been performed.
`Long` | `getServiceAverageElapsedTime(String serviceName)` Average elapsed time (in milliseconds) for service invocations of the given service (or all services if serviceName=null).
`Integer` | `getState()` State for this app view on this server.
`ApplicationViewStatistics` | `getStats()`
`Integer` | `getSuspendedAsyncServiceCount(String serviceName)` Number of async service requests for the given service (or all services if serviceName=null) that have been ‘Suspended’ due to the AppView being suspended.
`Integer` | `getSuspendedEventCount(String eventType)` Number of events of the given type (or all types if eventType=null) that have been ‘Suspended’ due to the AppView being suspended.
`Integer` | `getSyncServiceCount(String serviceName)` Number of sync service invocations for the given service (or all services if serviceName=null).
`Integer` | `getSyncServiceErrorCount(String serviceName)` Number of sync service invocation errors encountered for the given service (or all services if serviceName=null)
`Long` | `getTimeOfStateChange()` Gets the last time the state of this AppView changed.
`void` | `recreateGlobalMBeans()` Called from the Admin server in a cluster to recreate the deployment MBean for the AppView.
`void` | `redeploy()` Force the redeploy (undeploy only) of this adapter instance on this local server.
`void` | `resetEventCounts()` Reset event and event error counts (not suspended count) to zero.
`void` | `resetServiceCounts()` Reset all sync/async service/error counts to zero (not suspended async counts).
`void` | `resetSuspendedAsyncServiceCounts()` Force the suspended async service counts for all services on this ApplicationView back to zero.
`void` | `resume()`
`void` | `suspend()`

Methods inherited from interface weblogic.management.runtime.RuntimeMBean
`preDeregister`

Methods inherited from interface weblogic.management.WebLogicMBean
`getMBeanInfo, getName, getObjectName, getParent, getType, isCachingDisabled, isRegistered, setName, setParent`

Methods inherited from interface javax.management.DynamicMBean
`getAttribute, getAttributes, invoke, setAttribute, setAttributes`

Methods inherited from interface javax.management.MBeanRegistration
`postDeregister, postRegister, preRegister`

Methods inherited from interface javax.management.NotificationBroadcaster
`addNotificationListener, getNotificationInfo, removeNotificationListener`

Method Detail

### getState

    public Integer getState()

  State for this app view on this server.

### getCauseOfCurrentState

    public Object getCauseOfCurrentState()

  The throwable/exception or String description that caused the AppView to be in the current state (‘Deploy Failed’ and ‘Suspended’ only) or null if the AppView is in none of these states.

### getTimeOfStateChange

    public Long getTimeOfStateChange()

  Gets the last time the state of this AppView changed.

### recreateGlobalMBeans

    public void recreateGlobalMBeans()
                              throws javax.management.MBeanException

  Called from the Admin server in a cluster to recreate the deployment MBean for the AppView. This is useful when the Admin server is rebooted and all the deployment MBeans there are destroyed. In this case, when the Admin server comes back, all the servers have finished their deployment of this AppView, and thus, no deployment MBeans would be created if not for this method.

  Throws:
    `javax.management.MBeanException`

### suspend

    public void suspend()
                 throws javax.management.MBeanException

  Throws:
    `javax.management.MBeanException`

### resume

    public void resume()
                throws javax.management.MBeanException

  Throws:
    `javax.management.MBeanException`

### redeploy

    public void redeploy()
                  throws javax.management.MBeanException

  Force the redeploy (undeploy only) of this adapter instance on this local server.

  Throws:
    `javax.management.MBeanException`

### getStats

    public ApplicationViewStatistics getStats()
                                       throws javax.management.MBeanException

  Throws:
    `javax.management.MBeanException`

### getAppViewID

    public String getAppViewID()

  Name of the ApplicationView this MBean represents (derived from appName and getDescriptor().getQualifiedName().toString().

### getEventCount

    public Integer getEventCount(String eventType)
                          throws javax.management.MBeanException

  Number of events delivered of the given type. Pass null to get total events delivered of all types.

  Throws:
    `javax.management.MBeanException`

### getSuspendedEventCount

    public Integer getSuspendedEventCount(String eventType)
                                   throws javax.management.MBeanException

  Number of events of the given type (or all types if eventType=null) that have been ‘Suspended’ due to the AppView being suspended.

  Throws:
    `javax.management.MBeanException`

### getEventErrorCount

    public Integer getEventErrorCount(String eventType)
                               throws javax.management.MBeanException

  Number of event delivery errors encountered for the given type (or all types if eventType is null).

  Throws:
    `javax.management.MBeanException`

### resetEventCounts

    public void resetEventCounts()
                          throws javax.management.MBeanException

  Reset event and event error counts (not suspended count) to zero.

  Throws:
    `javax.management.MBeanException`

### getLastEventResetTime

    public Long getLastEventResetTime()
                               throws javax.management.MBeanException

  The system time (in milliseconds) at which the event counters were last reset (or –1) if no reset has been performed.

  Throws:
    `javax.management.MBeanException`

### getLastEventDeliveryTime

    public Long getLastEventDeliveryTime()
                                  throws javax.management.MBeanException

  The system time (in milliseconds) at which the most recent event was delivered (or –1) if none have been delivered.

  Throws:
    `javax.management.MBeanException`

### getSyncServiceCount

    public Integer getSyncServiceCount(String serviceName)
                                throws javax.management.MBeanException

  Number of sync service invocations for the given service (or all services if serviceName=null).

  Throws:
    `javax.management.MBeanException`

### getSyncServiceErrorCount

    public Integer getSyncServiceErrorCount(String serviceName)
                                     throws javax.management.MBeanException

  Number of sync service invocation errors encountered for the given service (or all services if serviceName=null)

  Throws:
    `javax.management.MBeanException`

### getServiceAverageElapsedTime

    public Long getServiceAverageElapsedTime(String serviceName)
                                      throws javax.management.MBeanException

  Average elapsed time (in milliseconds) for service invocations of the given service (or all services if serviceName=null). This number averages in both sync and async service elapsed times. For async services, only the time spent communicating with the adapter is included. Does not include the amount of time the async request spends waiting on the async request queue.

  Throws:
    `javax.management.MBeanException`

### getAsyncServiceCount

    public Integer getAsyncServiceCount(String serviceName)
                                 throws javax.management.MBeanException

  Number of async service invocations for the given service (or all services if serviceName=null).

  Throws:
    `javax.management.MBeanException`

### getAsyncServiceErrorCount

    public Integer getAsyncServiceErrorCount(String serviceName)
                                      throws javax.management.MBeanException

  Number of async service invocation errors for the given service (or all services if serviceName=null).

  Throws:
    `javax.management.MBeanException`

### getSuspendedAsyncServiceCount

    public Integer getSuspendedAsyncServiceCount(String serviceName)
                                          throws javax.management.MBeanException

  Number of async service requests for the given service (or all services if serviceName=null) that have been ‘Suspended’ due to the AppView being suspended.

  Throws:
    `javax.management.MBeanException`

### resetSuspendedAsyncServiceCounts

    public void resetSuspendedAsyncServiceCounts()
                                          throws javax.management.MBeanException

  Force the suspended async service counts for all services on this ApplicationView back to zero. This method should only be used when it is known that the displayed suspended async service count is incorrect, and that all prior suspended async requests have been processed. The displayed suspended async service count can be incorrect in cases where the AI AsyncServiceProcessorMDB's transaction has been rolled back due to EIS or JMS resource failure. An incorrect value for suspended async service count is usually indicated by the value being non-zero after all ApplicationViews have been resumed, and all suspended async requests have been processed.

  Throws:
    `javax.management.MBeanException`

### resetServiceCounts

    public void resetServiceCounts()
                            throws javax.management.MBeanException

  Reset all sync/async service/error counts to zero (not suspended async counts).

  Throws:
    `javax.management.MBeanException`

### getAsyncServiceAverageRequestWaitTime

    public Long getAsyncServiceAverageRequestWaitTime()
                                               throws javax.management.MBeanException

  The average time (in milliseconds) async requests for all services spent waiting on the async request queue.

  Throws:
    `javax.management.MBeanException`

### getLastServiceResetTime

    public Long getLastServiceResetTime()
                                 throws javax.management.MBeanException

  The system time (in milliseconds) at which the service counters were last reset (or –1) if no reset has been performed.

  Throws:
    `javax.management.MBeanException`

### getLastServiceInvocationTime

    public Long getLastServiceInvocationTime()
                                      throws javax.management.MBeanException

  The system time (in milliseconds) at which the most recent service invocation occurred (or –1 if no services have been invoked).

  Throws:
    `javax.management.MBeanException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD